GCLI-API(1)

NAME
gcli api - Perform API Calls to Git Forges and retrieve results

SYNOPSIS
gcli api [-a] path

DESCRIPTION
The gcli api is used to debug API calls. It will auto-detect the current forge and perform a request to its REST API. The response is printed to stdout. The API base URL is automatically prepended to the given path.

OPTIONS

-a, --all
    Fetch all pages of data (follow the pagination link).

EXAMPLES
Fetch all pages of data from the issues endpoint of the gcli project. Dump the data into /tmp/foo and be verbose. This will print the queries that are performed to stderr:

    $ gcli -v api -a /projects/herrhotzenplotz%2Fgcli/issues >/tmp/foo

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
Please report bugs via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss.

Alternatively you can report them on any of the forges linked at https://sr.ht/~herrhotzenplotz/gcli. However, the preferred and quickest method is to use the mailing list.